For the complete documentation index, see llms.txt. This page is also available as Markdown.

Stock Configuration

Endpoints to create, update, and read stocks configuration.

Get inventory config

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

Requested Inventory Configuration

application/json

InventoryConfiguration

isMixedStoragebooleanOptional
versionnumberRequired
get/api/configurations/inventory
GET /api/configurations/inventory HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "isMixedStorage": true,
  "version": 1
}

Update inventory config

patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

InventoryConfigurationForPatch

isMixedStorageboolean · nullableOptionalExample: true
versionnumberRequired
Responses
200

Requested Inventory Configuration

application/json

InventoryConfiguration

isMixedStoragebooleanOptional
versionnumberRequired
patch/api/configurations/inventory
PATCH /api/configurations/inventory HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 35

{
  "isMixedStorage": true,
  "version": 1
}
{
  "isMixedStorage": true,
  "version": 1
}

Get stock config

get

Read current stock configuration

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

StockConfiguration config found.

application/json
stockModificationEnabledbooleanRequiredDeprecated

This part of the API is deprecated. For details, see the API release lifecycle documentation.

@deprecated Indicates if manual stock modification is allowed - will be moved to remoteConfig

Default: trueExample: true
versioninteger · int64Required

The version of the document to be used in optimistic locking mechanisms.

Example: 42
createdstring · date-timeOptional

The date this entity was created at the platform. This value is generated by the service.

Example: 2020-02-03T08:45:51.525Z
lastModifiedstring · date-timeOptional

The date this entity was modified last. This value is generated by the service.

Example: 2020-02-03T09:45:51.525Z
idstringOptional
get/api/configurations/stock
GET /api/configurations/stock HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "text",
  "version": 42,
  "expectedStock": {
    "generateFromRoutingPlan": false
  },
  "inboundProcess": {
    "generateFromInterfacilityTransfer": true
  },
  "reservedStock": {
    "clearStocksAndReservationsTrigger": [
      {
        "completionEntity": "HANDOVERJOB"
      }
    ]
  },
  "created": "2020-02-03T08:45:51.525Z",
  "lastModified": "2020-02-03T09:45:51.525Z"
}

Update stock config

put

Update stock configuration

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

Stock configuration data for updates

stockModificationEnabledbooleanRequiredDeprecated

This part of the API is deprecated. For details, see the API release lifecycle documentation.

@deprecated Indicates if manual stock modification is allowed - will be moved to remoteConfig

Default: trueExample: true
versioninteger · int64Required

Version of the documentSet you want to update a document of

Example: 42
Responses
200

The stockConfiguration was successfully created.

application/json
stockModificationEnabledbooleanRequiredDeprecated

This part of the API is deprecated. For details, see the API release lifecycle documentation.

@deprecated Indicates if manual stock modification is allowed - will be moved to remoteConfig

Default: trueExample: true
versioninteger · int64Required

The version of the document to be used in optimistic locking mechanisms.

Example: 42
createdstring · date-timeOptional

The date this entity was created at the platform. This value is generated by the service.

Example: 2020-02-03T08:45:51.525Z
lastModifiedstring · date-timeOptional

The date this entity was modified last. This value is generated by the service.

Example: 2020-02-03T09:45:51.525Z
idstringOptional
put/api/configurations/stock
PUT /api/configurations/stock HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 215

{
  "version": 42,
  "expectedStock": {
    "generateFromRoutingPlan": false
  },
  "inboundProcess": {
    "generateFromInterfacilityTransfer": true
  },
  "reservedStock": {
    "clearStocksAndReservationsTrigger": [
      {
        "completionEntity": "HANDOVERJOB"
      }
    ]
  }
}
{
  "id": "text",
  "version": 42,
  "expectedStock": {
    "generateFromRoutingPlan": false
  },
  "inboundProcess": {
    "generateFromInterfacilityTransfer": true
  },
  "reservedStock": {
    "clearStocksAndReservationsTrigger": [
      {
        "completionEntity": "HANDOVERJOB"
      }
    ]
  },
  "created": "2020-02-03T08:45:51.525Z",
  "lastModified": "2020-02-03T09:45:51.525Z"
}

List stock change reasons

get

This part of the API is in Beta status. For details, see the API release lifecycle documentation. Get external stock change reasons

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

List of external stock change reasons

application/json

ExternalStockChangeReason

activebooleanRequired

Whether the reason is active

Example: true
createdstring · date-timeOptional

Date of creation

customAttributesobjectOptional

The custom attributes of this external stock change reason

idstringRequired

Id of the external stock change reason

Example: 5aa18b4d-45de-4e9e-92db-936288040272
lastModifiedstring · date-timeOptional

Date of last modification

tenantReasonIdstringOptional

Identifier of the stock change reason

Example: F12
versionnumberRequired

Version of the external stock change reason

Example: 1
get/api/externalstockchangereasons
GET /api/externalstockchangereasons HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "reasonLocalized": {
    "de_DE": "FUND",
    "en_US": "FOUND"
  },
  "active": true,
  "created": "2026-01-01T00:00:00.000Z",
  "customAttributes": {},
  "id": "5aa18b4d-45de-4e9e-92db-936288040272",
  "lastModified": "2026-01-01T00:00:00.000Z",
  "tenantReasonId": "F12",
  "version": 1
}

Create stock change reason

post

This part of the API is in Beta status. For details, see the API release lifecycle documentation. Post external stock change reason.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

ExternalStockChangeReasonForCreation

activebooleanRequired

Whether the reason is active

Example: true
customAttributesobjectOptional

The custom attributes of this external stock change reason

tenantReasonIdstringOptional

Identifier of the stock change reason

Example: F12
Responses
201

The created external stock change reason

application/json

ExternalStockChangeReason

activebooleanRequired

Whether the reason is active

Example: true
createdstring · date-timeOptional

Date of creation

customAttributesobjectOptional

The custom attributes of this external stock change reason

idstringRequired

Id of the external stock change reason

Example: 5aa18b4d-45de-4e9e-92db-936288040272
lastModifiedstring · date-timeOptional

Date of last modification

tenantReasonIdstringOptional

Identifier of the stock change reason

Example: F12
versionnumberRequired

Version of the external stock change reason

Example: 1
post/api/externalstockchangereasons
POST /api/externalstockchangereasons HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 111

{
  "reasonLocalized": {
    "de_DE": "FUND",
    "en_US": "FOUND"
  },
  "active": true,
  "customAttributes": {},
  "tenantReasonId": "F12"
}
{
  "reasonLocalized": {
    "de_DE": "FUND",
    "en_US": "FOUND"
  },
  "active": true,
  "created": "2026-01-01T00:00:00.000Z",
  "customAttributes": {},
  "id": "5aa18b4d-45de-4e9e-92db-936288040272",
  "lastModified": "2026-01-01T00:00:00.000Z",
  "tenantReasonId": "F12",
  "version": 1
}

Get stock change reason

get

This part of the API is in Beta status. For details, see the API release lifecycle documentation. Get external stock change reason.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
externalStockChangeReasonIdstringRequired
Responses
200

The external stock change reason

application/json

ExternalStockChangeReason

activebooleanRequired

Whether the reason is active

Example: true
createdstring · date-timeOptional

Date of creation

customAttributesobjectOptional

The custom attributes of this external stock change reason

idstringRequired

Id of the external stock change reason

Example: 5aa18b4d-45de-4e9e-92db-936288040272
lastModifiedstring · date-timeOptional

Date of last modification

tenantReasonIdstringOptional

Identifier of the stock change reason

Example: F12
versionnumberRequired

Version of the external stock change reason

Example: 1
get/api/externalstockchangereasons/{externalStockChangeReasonId}
GET /api/externalstockchangereasons/{externalStockChangeReasonId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "reasonLocalized": {
    "de_DE": "FUND",
    "en_US": "FOUND"
  },
  "active": true,
  "created": "2026-01-01T00:00:00.000Z",
  "customAttributes": {},
  "id": "5aa18b4d-45de-4e9e-92db-936288040272",
  "lastModified": "2026-01-01T00:00:00.000Z",
  "tenantReasonId": "F12",
  "version": 1
}

Update stock change reason

put

This part of the API is in Beta status. For details, see the API release lifecycle documentation. Update external stock change reason.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
externalStockChangeReasonIdstringRequired
Body

ExternalStockChangeReasonForUpdate

activebooleanOptional

Whether the reason is active

Example: true
customAttributesobjectOptional

The custom attributes of this external stock change reason

idstringOptional

Id of the external stock change reason

Example: 5aa18b4d-45de-4e9e-92db-936288040272
versionnumberRequired

Version of the external stock change reason

Example: 1
Responses
200

The updated external stock change reason

application/json

ExternalStockChangeReason

activebooleanRequired

Whether the reason is active

Example: true
createdstring · date-timeOptional

Date of creation

customAttributesobjectOptional

The custom attributes of this external stock change reason

idstringRequired

Id of the external stock change reason

Example: 5aa18b4d-45de-4e9e-92db-936288040272
lastModifiedstring · date-timeOptional

Date of last modification

tenantReasonIdstringOptional

Identifier of the stock change reason

Example: F12
versionnumberRequired

Version of the external stock change reason

Example: 1
put/api/externalstockchangereasons/{externalStockChangeReasonId}
PUT /api/externalstockchangereasons/{externalStockChangeReasonId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 144

{
  "reasonLocalized": {
    "de_DE": "FUND",
    "en_US": "FOUND"
  },
  "active": true,
  "customAttributes": {},
  "id": "5aa18b4d-45de-4e9e-92db-936288040272",
  "version": 1
}
{
  "reasonLocalized": {
    "de_DE": "FUND",
    "en_US": "FOUND"
  },
  "active": true,
  "created": "2026-01-01T00:00:00.000Z",
  "customAttributes": {},
  "id": "5aa18b4d-45de-4e9e-92db-936288040272",
  "lastModified": "2026-01-01T00:00:00.000Z",
  "tenantReasonId": "F12",
  "version": 1
}

Get facility inventory config

get

Get the Inventory Configuration for a specific Facility.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
facilityIdstringRequired

ID of the facility you want to get the config for. Also accepts tenantFacilityId in urn format (e.g. urn:fft:facility:tenantFacilityId:{your-tenant-facility-id}) for the path parameter facilityId.

Responses
200

Requested Inventory Facility Configuration

application/json

InventoryFacilityConfiguration

facilityRefstringRequired
idstringRequired
isMixedStoragebooleanOptional
versionnumberRequired
get/api/facilities/{facilityId}/configurations/inventory
GET /api/facilities/{facilityId}/configurations/inventory HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "facilityRef": "text",
  "id": "text",
  "isMixedStorage": true,
  "outboundStockConfiguration": {
    "clearTrigger": [
      {
        "event": "pick-job-closed_event-v1",
        "tagFilter": [
          {
            "allowedValues": [
              "text"
            ],
            "tagId": "text"
          }
        ]
      }
    ],
    "locationRef": "text",
    "trackOutboundStock": true
  },
  "version": 1
}

Update facility inventory config

patch

This endpoint allows you to update the inventory configuration for a specific facility. It is used to set or modify the inventory management settings at the facility level.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
facilityIdstringRequired

ID of the facility you want to set the config to. Also accepts tenantFacilityId in urn format (e.g. urn:fft:facility:tenantFacilityId:{your-tenant-facility-id}) for the path parameter facilityId.

Body

InventoryFacilityConfigurationForPatch

isMixedStorageboolean · nullableOptionalExample: true
versionnumberRequired
Responses
200

Requested Inventory Facility Configuration

application/json

InventoryFacilityConfiguration

facilityRefstringRequired
idstringRequired
isMixedStoragebooleanOptional
versionnumberRequired
patch/api/facilities/{facilityId}/configurations/inventory
PATCH /api/facilities/{facilityId}/configurations/inventory HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 223

{
  "isMixedStorage": true,
  "outboundStockConfiguration": {
    "clearTrigger": [
      {
        "event": "pick-job-closed_event-v1",
        "tagFilter": [
          {
            "allowedValues": [
              "text"
            ],
            "tagId": "text"
          }
        ]
      }
    ],
    "locationRef": "text",
    "trackOutboundStock": true
  },
  "version": 1
}
{
  "facilityRef": "text",
  "id": "text",
  "isMixedStorage": true,
  "outboundStockConfiguration": {
    "clearTrigger": [
      {
        "event": "pick-job-closed_event-v1",
        "tagFilter": [
          {
            "allowedValues": [
              "text"
            ],
            "tagId": "text"
          }
        ]
      }
    ],
    "locationRef": "text",
    "trackOutboundStock": true
  },
  "version": 1
}

Get facility stock config

get

Get the stock configuration for a specific facility.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
facilityIdstringRequired
Responses
200

Configuration for stock routing was found.

application/json

FacilityStockConfiguration

createdstring · date-timeOptional

Creation timestamp

idstringRequired

The facility stock configuration ID (same as facility ID)

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
lastModifiedstring · date-timeOptional

Last modified timestamp

versionnumberRequired

Document version for optimistic locking

Example: 1
get/api/facilities/{facilityId}/configurations/stock
GET /api/facilities/{facilityId}/configurations/stock HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "created": "2026-01-01T00:00:00.000Z",
  "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "lastModified": "2026-01-01T00:00:00.000Z",
  "shortpick": {
    "active": true
  },
  "version": 1
}

Update facility stock config

patch

Update the stock configuration for a specific facility.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
facilityIdstringRequired
Responses
200

Facility was found & patch-set has been applied. The patched facility configuration is in the body.

application/json

FacilityStockConfiguration

createdstring · date-timeOptional

Creation timestamp

idstringRequired

The facility stock configuration ID (same as facility ID)

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
lastModifiedstring · date-timeOptional

Last modified timestamp

versionnumberRequired

Document version for optimistic locking

Example: 1
patch/api/facilities/{facilityId}/configurations/stock
PATCH /api/facilities/{facilityId}/configurations/stock HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "created": "2026-01-01T00:00:00.000Z",
  "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "lastModified": "2026-01-01T00:00:00.000Z",
  "shortpick": {
    "active": true
  },
  "version": 1
}

Last updated

Was this helpful?